%define name libcdaudio
%define version 0.99.4
%define release 5mdk
%define summary A library for controlling CD-ROM devices

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
Copyright:	GPL
Group:		Sound
Source0		ftp://cdcd.undergrid.net/libcdaudio/%{name}-%{version}.tar.bz2
Source1:	.cdserverrc.bz2
URL:		http://cdcd.undergrid.net/libcdaudio/
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
libcdaudio is a library for controlling CD-ROM devices

%package devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{name} = %{version}

%description devel
This package contains the headers that programmers will need to develop applications which will use %{name}.

%prep
%setup
bzcat %{SOURCE1} > .cdserverrc

%configure

%build

%make

%install
%makeinstall

%post
/sbin/ldconfig
echo "copy %{_docdir}/.cdserverrc into your home directory, and configure it for using libcdaudio CDDB functions"

%postun
/sbin/ldconfig

%files
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog .cdserverrc
%{_libdir}/lib*.so.*

%files devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-5mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- spec minor cleanup

* Tue Dec 19 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.99.4-4mdk
- add default configuration file 
- added devel package for headers and static libs

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-3mdk
- BM
- macros
- fix URL

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-2mdk
- fix group

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- mandrake build
- v0.99.4
